package hmggirlfront;

import hmggirlfront.items.ItemDollCore;
import hmggirlfront.items.ItemDollGunBase;
import hmggirlfront.items.ItemDollGun_AR;
import hmggirlfront.items.ItemDollGun_SR;
import net.minecraft.item.Item;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.event.RegistryEvent;

public class GFItemGunAR_Registry {
	public static void registry(mod_GirlFront mod, RegistryEvent.Register<Item> event){
		net.minecraftforge.fml.common.ProgressManager.ProgressBar bar= net.minecraftforge.fml.common.ProgressManager.push("GF_AR_Loading", 36, true);
		{
			mod.dollgun_m4a1	= new ItemDollGun_AR().setUnlocalizedName("dollgun_m4a1")
					.setRegistryName(mod.MOD_ID, "dollgun_m4a1").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m4a1;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/m4a1.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/m4a1.txt");
				 mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_m4a1;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_m4a1);
		    {
				 mod.core_m4a1	= new ItemDollCore(130, mod.dollgun_m4a1,  null).setUnlocalizedName("core_m4a1")
				    		.setRegistryName(mod.MOD_ID, "core_m4a1").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_m4a1;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m4a1;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_m4a1;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_m4a1);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m4a1;
		    	gun.doll_core = mod.core_m4a1;
		    }
		    bar.step("gun load");
		}
		{
			mod.dollgun_t95	= new ItemDollGun_AR().setUnlocalizedName("dollgun_t95")
					.setRegistryName(mod.MOD_ID, "dollgun_t95").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_t95;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/t95.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/t95.txt");
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_t95;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_t95);
		    {
				 mod.core_t95	= new ItemDollCore(130, mod.dollgun_t95,  null).setUnlocalizedName("core_t95")
				    		.setRegistryName(mod.MOD_ID, "core_t95").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_t95;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_t95;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_t95;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_t95);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_t95;
		    	gun.doll_core = mod.core_t95;
		    }
		    bar.step("gun load");
		}
		{
			mod.dollgun_t97	= new ItemDollGun_AR().setUnlocalizedName("dollgun_t97")
					.setRegistryName(mod.MOD_ID, "dollgun_t97").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_t97;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/t97.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/t97.txt");
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_t97;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_t97);
		    {
				 mod.core_t97	= new ItemDollCore(130, mod.dollgun_t97,  null).setUnlocalizedName("core_t97")
				    		.setRegistryName(mod.MOD_ID, "core_t97").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_t97;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_t97;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_t97;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_t97);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_t97;
		    	gun.doll_core = mod.core_t97;
		    }
		    bar.step("gun load");
		}
		{//start
			mod.dollgun_g36	= new ItemDollGun_AR().setUnlocalizedName("dollgun_g36")
					.setRegistryName(mod.MOD_ID, "dollgun_g36").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_g36;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/g36.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/g36.txt");
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_g36;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_g36);
		    {
				 mod.core_g36	= new ItemDollCore(130, mod.dollgun_g36,  null).setUnlocalizedName("core_g36")
				    		.setRegistryName(mod.MOD_ID, "core_g36").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_g36;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_g36;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_g36;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_g36);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_g36;
		    	gun.doll_core = mod.core_g36;
		    }
		    bar.step("gun load");
		}//end
		{//start
			mod.dollgun_f2000	= new ItemDollGun_AR().setUnlocalizedName("dollgun_f2000")
					.setRegistryName(mod.MOD_ID, "dollgun_f2000").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_f2000;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/f2000.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/f2000.txt");
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_f2000;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_f2000);
		    {
				 mod.core_f2000	= new ItemDollCore(130, mod.dollgun_f2000,  null).setUnlocalizedName("core_f2000")
				    		.setRegistryName(mod.MOD_ID, "core_f2000").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_f2000;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_f2000;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_f2000;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_f2000);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_f2000;
		    	gun.doll_core = mod.core_f2000;
		    }
		    bar.step("gun load");
		}//end
		{//start
			mod.dollgun_l85a1	= new ItemDollGun_AR().setUnlocalizedName("dollgun_l85a1")
					.setRegistryName(mod.MOD_ID, "dollgun_l85a1").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_l85a1;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/l85a1.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/l85a1.txt");
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_l85a1;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_l85a1);
		    {
				 mod.core_l85a1	= new ItemDollCore(130, mod.dollgun_l85a1,  null).setUnlocalizedName("core_l85a1")
				    		.setRegistryName(mod.MOD_ID, "core_l85a1").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_l85a1;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_l85a1;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_l85a1;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_l85a1);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_l85a1;
		    	gun.doll_core = mod.core_l85a1;
		    }
		    bar.step("gun load");
		}//end
		{//start
			mod.dollgun_galil	= new ItemDollGun_AR().setUnlocalizedName("dollgun_galil")
					.setRegistryName(mod.MOD_ID, "dollgun_galil").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_galil;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/galil.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/galil.txt");
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_galil;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_galil);
		    {
				 mod.core_galil	= new ItemDollCore(130, mod.dollgun_galil,  null).setUnlocalizedName("core_galil")
				    		.setRegistryName(mod.MOD_ID, "core_galil").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_galil;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_galil;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_galil;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_galil);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_galil;
		    	gun.doll_core = mod.core_galil;
		    }
		    bar.step("gun load");
		}//end
		{//start
			mod.dollgun_416	= new ItemDollGun_AR().setUnlocalizedName("dollgun_416")
					.setRegistryName(mod.MOD_ID, "dollgun_416").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_416;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/416.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/416.txt");
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_416;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_416);
		    {
				 mod.core_416	= new ItemDollCore(130, mod.dollgun_416,  null).setUnlocalizedName("core_416")
				    		.setRegistryName(mod.MOD_ID, "core_416").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_416;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_416;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_416;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_416);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_416;
		    	gun.doll_core = mod.core_416;
		    }
		    bar.step("gun load");
		}//end
		
		{//start
			mod.dollgun_gr_g11	= new ItemDollGun_AR().setUnlocalizedName("dollgun_gr_g11")
					.setRegistryName(mod.MOD_ID, "dollgun_gr_g11").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_g11;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/gr_g11.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/gr_g11.txt");
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_gr_g11;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_gr_g11);
		    {
				 mod.core_gr_g11	= new ItemDollCore(130, mod.dollgun_gr_g11,  null).setUnlocalizedName("core_gr_g11")
				    		.setRegistryName(mod.MOD_ID, "core_gr_g11").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_gr_g11;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_g11;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_gr_g11;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_gr_g11);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_g11;
		    	gun.doll_core = mod.core_gr_g11;
		    }
		    bar.step("gun load");
		}//end
		{//start
			mod.dollgun_ff_fnc	= new ItemDollGun_AR().setUnlocalizedName("dollgun_ff_fnc")
					.setRegistryName(mod.MOD_ID, "dollgun_ff_fnc").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ff_fnc;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/ff_fnc.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/ff_fnc.txt");
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_ff_fnc;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_ff_fnc);
		    {
				 mod.core_ff_fnc	= new ItemDollCore(130, mod.dollgun_ff_fnc,  null).setUnlocalizedName("core_ff_fnc")
				    		.setRegistryName(mod.MOD_ID, "core_ff_fnc").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_ff_fnc;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ff_fnc;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_ff_fnc;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_ff_fnc);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ff_fnc;
		    	gun.doll_core = mod.core_ff_fnc;
		    }
		    bar.step("gun load");
		}//end
		{//start
			mod.dollgun_gr_g3	= new ItemDollGun_AR().setUnlocalizedName("dollgun_gr_g3")
					.setRegistryName(mod.MOD_ID, "dollgun_gr_g3").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_g3;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/gr_g3.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/gr_g3.txt");
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_gr_g3;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_gr_g3);
		    {
				 mod.core_gr_g3	= new ItemDollCore(130, mod.dollgun_gr_g3,  null).setUnlocalizedName("core_gr_g3")
				    		.setRegistryName(mod.MOD_ID, "core_gr_g3").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_gr_g3;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_g3;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_gr_g3;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_gr_g3);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_g3;
		    	gun.doll_core = mod.core_gr_g3;
		    }
		    bar.step("gun load");
		}//end
		{//start
			mod.dollgun_st_ar15	= new ItemDollGun_AR().setUnlocalizedName("dollgun_st_ar15")
					.setRegistryName(mod.MOD_ID, "dollgun_st_ar15").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_st_ar15;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/st_ar15.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/st_ar15.txt");
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_st_ar15;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_st_ar15);
		    {
				 mod.core_st_ar15	= new ItemDollCore(130, mod.dollgun_st_ar15,  null).setUnlocalizedName("core_st_ar15")
				    		.setRegistryName(mod.MOD_ID, "core_st_ar15").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_st_ar15;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_st_ar15;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_st_ar15;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_st_ar15);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_st_ar15;
		    	gun.doll_core = mod.core_st_ar15;
		    }
		    bar.step("gun load");
		}//end
		
		{//start
			mod.dollgun_hk33	= new ItemDollGun_AR().setUnlocalizedName("dollgun_hk33")
					.setRegistryName(mod.MOD_ID, "dollgun_hk33").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_hk33;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/hk33.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/hk33.txt");
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_hk33;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_hk33);
		    {
				 mod.core_hk33	= new ItemDollCore(130, mod.dollgun_hk33,  null).setUnlocalizedName("core_hk33")
				    		.setRegistryName(mod.MOD_ID, "core_hk33").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_hk33;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_hk33;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_hk33;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_hk33);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_hk33;
		    	gun.doll_core = mod.core_hk33;
		    }
		    bar.step("gun load");
		}//end
		{//start
			mod.dollgun_9a91	= new ItemDollGun_AR().setUnlocalizedName("dollgun_9a91")
					.setRegistryName(mod.MOD_ID, "dollgun_9a91").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_9a91;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/9a91.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/9a91.txt");
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_9a91;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_9a91);
		    {
				 mod.core_9a91	= new ItemDollCore(130, mod.dollgun_9a91,  null).setUnlocalizedName("core_9a91")
				    		.setRegistryName(mod.MOD_ID, "core_9a91").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_9a91;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_9a91;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_9a91;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_9a91);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_9a91;
		    	gun.doll_core = mod.core_9a91;
		    }
		    bar.step("gun load");
		}//end
		
		{//start
			mod.dollgun_stg44	= new ItemDollGun_AR().setUnlocalizedName("dollgun_stg44")
					.setRegistryName(mod.MOD_ID, "dollgun_stg44").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_stg44;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/stg44.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/stg44.txt");
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_stg44;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_stg44);
		    {
				 mod.core_stg44	= new ItemDollCore(130, mod.dollgun_stg44,  null).setUnlocalizedName("core_stg44")
				    		.setRegistryName(mod.MOD_ID, "core_stg44").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_stg44;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_stg44;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_stg44;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_stg44);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_stg44;
		    	gun.doll_core = mod.core_stg44;
		    }
		    bar.step("gun load");
		}//end
		
		{//start
			mod.dollgun_type64	= new ItemDollGun_AR().setUnlocalizedName("dollgun_type64")
					.setRegistryName(mod.MOD_ID, "dollgun_type64").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_type64;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/type64.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/type64.txt");
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_type64;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_type64);
		    {
				 mod.core_type64	= new ItemDollCore(130, mod.dollgun_type64,  null).setUnlocalizedName("core_type64")
				    		.setRegistryName(mod.MOD_ID, "core_type64").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_type64;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_type64;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_type64;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_type64);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_type64;
		    	gun.doll_core = mod.core_type64;
		    }
		    bar.step("gun load");
		}//end
		
		{//start
			mod.dollgun_am_rfb	= new ItemDollGun_SR().setUnlocalizedName("dollgun_am_rfb")
					.setRegistryName(mod.MOD_ID, "dollgun_am_rfb").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_am_rfb;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/am_rfb.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/am_rfb.txt");
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_am_rfb;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_am_rfb);
		    {
				 mod.core_am_rfb	= new ItemDollCore(130, mod.dollgun_am_rfb,  null).setUnlocalizedName("core_am_rfb")
				    		.setRegistryName(mod.MOD_ID, "core_am_rfb").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_am_rfb;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_am_rfb;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_am_rfb;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_am_rfb);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_am_rfb;
		    	gun.doll_core = mod.core_am_rfb;
		    }
		    bar.step("gun load");
		}//end
		
		{//start
			mod.dollgun_an94	= new ItemDollGun_AR().setUnlocalizedName("dollgun_an94")
					.setRegistryName(mod.MOD_ID, "dollgun_an94").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_an94;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/an94.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/an94.txt");
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_an94;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_an94);
		    {
				 mod.core_an94	= new ItemDollCore(130, mod.dollgun_an94,  null).setUnlocalizedName("core_an94")
				    		.setRegistryName(mod.MOD_ID, "core_an94").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_an94;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_an94;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_an94;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_an94);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_an94;
		    	gun.doll_core = mod.core_an94;
		    }
		    bar.step("gun load");
		}//end
		
		{//start
			mod.dollgun_fal	= new ItemDollGun_AR().setUnlocalizedName("dollgun_fal")
					.setRegistryName(mod.MOD_ID, "dollgun_fal").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_fal;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/fal.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/fal.txt");
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_fal;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_fal);
		    {
				 mod.core_fal	= new ItemDollCore(130, mod.dollgun_fal,  null).setUnlocalizedName("core_fal")
				    		.setRegistryName(mod.MOD_ID, "core_fal").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_fal;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_fal;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_fal;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_fal);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_fal;
		    	gun.doll_core = mod.core_fal;
		    }
		    bar.step("gun load");
		}//end
		{//start
			mod.dollgun_gr_g41	= new ItemDollGun_AR().setUnlocalizedName("dollgun_gr_g41")
					.setRegistryName(mod.MOD_ID, "dollgun_gr_g41").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_g41;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/gr_g41.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/gr_g41.txt");
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_gr_g41;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_gr_g41);
		    {
				 mod.core_gr_g41	= new ItemDollCore(130, mod.dollgun_gr_g41,  null).setUnlocalizedName("core_gr_g41")
				    		.setRegistryName(mod.MOD_ID, "core_gr_g41").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_gr_g41;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_g41;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_gr_g41;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_gr_g41);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_g41;
		    	gun.doll_core = mod.core_gr_g41;
		    }
		    bar.step("gun load");
		}//end
		{//start
			mod.dollgun_type89_j	= new ItemDollGun_AR().setUnlocalizedName("dollgun_type89_j")
					.setRegistryName(mod.MOD_ID, "dollgun_type89_j").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_type89_j;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/type89_j.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/type89_j.txt");
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_type89_j;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_type89_j);
		    {
				 mod.core_type89_j	= new ItemDollCore(130, mod.dollgun_type89_j,  null).setUnlocalizedName("core_type89_j")
				    		.setRegistryName(mod.MOD_ID, "core_type89_j").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_type89_j;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_type89_j;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_type89_j;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_type89_j);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_type89_j;
		    	gun.doll_core = mod.core_type89_j;
		    }
		    bar.step("gun load");
		}//end
		
		{//start
			mod.dollgun_m16a1	= new ItemDollGun_AR().setUnlocalizedName("dollgun_m16a1")
					.setRegistryName(mod.MOD_ID, "dollgun_m16a1").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m16a1;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/m16a1.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/m16a1.txt");
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_m16a1;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_m16a1);
		    {
				 mod.core_m16a1	= new ItemDollCore(130, mod.dollgun_m16a1,  null).setUnlocalizedName("core_m16a1")
				    		.setRegistryName(mod.MOD_ID, "core_m16a1").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_m16a1;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m16a1;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_m16a1;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_m16a1);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m16a1;
		    	gun.doll_core = mod.core_m16a1;
		    }
		    bar.step("gun load");
		}//end
		
		{//start
			mod.dollgun_m4sopmod	= new ItemDollGun_AR().setUnlocalizedName("dollgun_m4sopmod")
					.setRegistryName(mod.MOD_ID, "dollgun_m4sopmod").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m4sopmod;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/m4sopmod.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/m4sopmod.txt");
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_m4sopmod;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_m4sopmod);
		    {
				 mod.core_m4sopmod	= new ItemDollCore(130, mod.dollgun_m4sopmod,  null).setUnlocalizedName("core_m4sopmod")
				    		.setRegistryName(mod.MOD_ID, "core_m4sopmod").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_m4sopmod;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m4sopmod;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_m4sopmod;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_m4sopmod);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m4sopmod;
		    	gun.doll_core = mod.core_m4sopmod;
		    }
		    bar.step("gun load");
		}//end
		
		{//start
			mod.dollgun_howa556	= new ItemDollGun_AR().setUnlocalizedName("dollgun_howa556")
					.setRegistryName(mod.MOD_ID, "dollgun_howa556").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_howa556;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/howa556.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/howa556.txt");
				//mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_howa556;
				// ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_howa556);
		    {
				 mod.core_howa556	= new ItemDollCore(130, mod.dollgun_howa556,  null).setUnlocalizedName("core_howa556")
				    		.setRegistryName(mod.MOD_ID, "core_howa556").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_howa556;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_howa556;
					/* core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_howa556;
					 ++mod.ar_id;*/
				 }
				    event.getRegistry().register(mod.core_howa556);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_howa556;
		    	gun.doll_core = mod.core_howa556;
		    }
		    bar.step("gun load");
		}//end
		
		{//start
			mod.dollgun_ak12	= new ItemDollGun_AR().setUnlocalizedName("dollgun_ak12")
					.setRegistryName(mod.MOD_ID, "dollgun_ak12").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ak12;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/ak12.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/ak12.txt");
				//mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_ak12;
				// ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_ak12);
		    {
				 mod.core_ak12	= new ItemDollCore(130, mod.dollgun_ak12,  null).setUnlocalizedName("core_ak12")
				    		.setRegistryName(mod.MOD_ID, "core_ak12").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_ak12;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ak12;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_ak12;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_ak12);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ak12;
		    	gun.doll_core = mod.core_ak12;
		    }
		    bar.step("gun load");
		}//end
		
		{//start
			mod.dollgun_arx160	= new ItemDollGun_AR().setUnlocalizedName("dollgun_arx160")
					.setRegistryName(mod.MOD_ID, "dollgun_arx160").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_arx160;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/arx160.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/arx160.txt");
				//mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_arx160;
				// ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_arx160);
		    {
				 mod.core_arx160	= new ItemDollCore(130, mod.dollgun_arx160,  null).setUnlocalizedName("core_arx160")
				    		.setRegistryName(mod.MOD_ID, "core_arx160").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_arx160;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_arx160;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_arx160;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_arx160);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_arx160;
		    	gun.doll_core = mod.core_arx160;
		    }
		    bar.step("gun load");
		}//end
		
		{//start
			mod.dollgun_sig_mcx	= new ItemDollGun_AR().setUnlocalizedName("dollgun_sig_mcx")
					.setRegistryName(mod.MOD_ID, "dollgun_sig_mcx").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_sig_mcx;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/sig_mcx.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/sig_mcx.txt");
				//mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_sig_mcx;
				// ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_sig_mcx);
		    {
				 mod.core_sig_mcx	= new ItemDollCore(130, mod.dollgun_sig_mcx,  null).setUnlocalizedName("core_sig_mcx")
				    		.setRegistryName(mod.MOD_ID, "core_sig_mcx").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_sig_mcx;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_sig_mcx;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_sig_mcx;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_sig_mcx);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_sig_mcx;
		    	gun.doll_core = mod.core_sig_mcx;
		    }
		    bar.step("gun load");
		}//end
		
		{//start
			mod.dollgun_a91	= new ItemDollGun_AR().setUnlocalizedName("dollgun_a91")
					.setRegistryName(mod.MOD_ID, "dollgun_a91").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_a91;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/a91.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/a91.txt");
				//mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_a91;
				// ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_a91);
		    {
				 mod.core_a91	= new ItemDollCore(130, mod.dollgun_a91,  null).setUnlocalizedName("core_a91")
				    		.setRegistryName(mod.MOD_ID, "core_a91").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_a91;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_a91;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_a91;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_a91);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_a91;
		    	gun.doll_core = mod.core_a91;
		    }
		    bar.step("gun load");
		}//end
		
		{//start
			mod.dollgun_ak74m	= new ItemDollGun_AR().setUnlocalizedName("dollgun_ak74m")
					.setRegistryName(mod.MOD_ID, "dollgun_ak74m").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ak74m;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/ak74m.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/ak74m.txt");
				//mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_ak74m;
				// ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_ak74m);
		    {
				 mod.core_ak74m	= new ItemDollCore(130, mod.dollgun_ak74m,  null).setUnlocalizedName("core_ak74m")
				    		.setRegistryName(mod.MOD_ID, "core_ak74m").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_ak74m;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ak74m;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_ak74m;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_ak74m);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ak74m;
		    	gun.doll_core = mod.core_ak74m;
		    }
		    bar.step("gun load");
		}//end
		
		{//start
			mod.dollgun_type56_1	= new ItemDollGun_AR().setUnlocalizedName("dollgun_type56_1")
					.setRegistryName(mod.MOD_ID, "dollgun_type56_1").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_type56_1;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/type56_1.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/type56_1.txt");
				//mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_type56_1;
				// ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_type56_1);
		    {
				 mod.core_type56_1	= new ItemDollCore(130, mod.dollgun_type56_1,  null).setUnlocalizedName("core_type56_1")
				    		.setRegistryName(mod.MOD_ID, "core_type56_1").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_type56_1;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_type56_1;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_type56_1;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_type56_1);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_type56_1;
		    	gun.doll_core = mod.core_type56_1;
		    }
		    bar.step("gun load");
		}//end
		
		{//start
			mod.dollgun_xm177e2	= new ItemDollGun_AR().setUnlocalizedName("dollgun_xm177e2")
					.setRegistryName(mod.MOD_ID, "dollgun_xm177e2").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_xm177e2;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/xm177e2.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/xm177e2.txt");
				//mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_xm177e2;
				// ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_xm177e2);
		    {
				 mod.core_xm177e2	= new ItemDollCore(130, mod.dollgun_xm177e2,  null).setUnlocalizedName("core_xm177e2")
				    		.setRegistryName(mod.MOD_ID, "core_xm177e2").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_xm177e2;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_xm177e2;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_xm177e2;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_xm177e2);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_xm177e2;
		    	gun.doll_core = mod.core_xm177e2;
		    }
		    bar.step("gun load");
		}//end
		
		{//start
			mod.dollgun_ots14	= new ItemDollGun_AR().setUnlocalizedName("dollgun_ots14")
					.setRegistryName(mod.MOD_ID, "dollgun_ots14").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ots14;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/ots14.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/ots14.txt");
				//mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_ots14;
				// ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_ots14);
		    {
				 mod.core_ots14	= new ItemDollCore(130, mod.dollgun_ots14,  null).setUnlocalizedName("core_ots14")
				    		.setRegistryName(mod.MOD_ID, "core_ots14").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_ots14;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ots14;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_ots14;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_ots14);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ots14;
		    	gun.doll_core = mod.core_ots14;
		    }
		    bar.step("gun load");
		}//end
		
		{//start
			mod.dollgun_type63	= new ItemDollGun_AR().setUnlocalizedName("dollgun_type63")
					.setRegistryName(mod.MOD_ID, "dollgun_type63").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_type63;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/type63.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/type63.txt");
				//mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_type63;
				// ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_type63);
		    {
				 mod.core_type63	= new ItemDollCore(130, mod.dollgun_type63,  null).setUnlocalizedName("core_type63")
				    		.setRegistryName(mod.MOD_ID, "core_type63").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_type63;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_type63;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_type63;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_type63);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_type63;
		    	gun.doll_core = mod.core_type63;
		    }
		    bar.step("gun load");
		}//end
		
		{//start
			mod.dollgun_ak15	= new ItemDollGun_AR().setUnlocalizedName("dollgun_ak15")
					.setRegistryName(mod.MOD_ID, "dollgun_ak15").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ak15;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/ak15.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/ak15.txt");
				//mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_ak15;
				// ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_ak15);
		    {
				 mod.core_ak15	= new ItemDollCore(130, mod.dollgun_ak15,  null).setUnlocalizedName("core_ak15")
				    		.setRegistryName(mod.MOD_ID, "core_ak15").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_ak15;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ak15;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_ak15;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_ak15);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ak15;
		    	gun.doll_core = mod.core_ak15;
		    }
		    bar.step("gun load");
		}//end
		
		{//start
			mod.dollgun_aug	= new ItemDollGun_AR().setUnlocalizedName("dollgun_aug")
					.setRegistryName(mod.MOD_ID, "dollgun_aug").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_aug;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/aug.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/aug.txt");
				//mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_aug;
				// ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_aug);
		    {
				 mod.core_aug	= new ItemDollCore(130, mod.dollgun_aug,  null).setUnlocalizedName("core_aug")
				    		.setRegistryName(mod.MOD_ID, "core_aug").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_aug;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_aug;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_aug;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_aug);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_aug;
		    	gun.doll_core = mod.core_aug;
		    }
		    bar.step("gun load");
		}//end
		
		{//start
			mod.dollgun_magal	= new ItemDollGun_AR().setUnlocalizedName("dollgun_magal")
					.setRegistryName(mod.MOD_ID, "dollgun_magal").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_magal;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/ar/magal.txt");
				LoadDollStatus.load(gun, mod, event, status, "ar/magal.txt");
				//mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_magal;
				// ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_magal);
		    {
				 mod.core_magal	= new ItemDollCore(130, mod.dollgun_magal,  null).setUnlocalizedName("core_magal")
				    		.setRegistryName(mod.MOD_ID, "core_magal").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_magal;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_magal;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.ar_id;
					 mod.ar_rare[mod.ar_id] = gun.doll_rare;
					 mod.ar_item[mod.ar_id] = mod.core_magal;
					 ++mod.ar_id;
				 }
				    event.getRegistry().register(mod.core_magal);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_magal;
		    	gun.doll_core = mod.core_magal;
		    }
		    bar.step("gun load");
		}//end
		
		
		net.minecraftforge.fml.common.ProgressManager.pop(bar);
	}
}
